                RewriteRule "^maintenance/category/(\d+)$" "/maintenance/category/index.php?categoryId=$1" [QSA,L]
                RewriteRule "^maintenance/transportation/category/(\d+)$" "/maintenance/transportation/category/index.php?categoryId=$1" [QSA,L]
                RewriteRule "^maintenance/transportation/category/(\d+)/task$" "/maintenance/transportation/category/task/index.php?categoryId=$1" [QSA,L]
                RewriteRule "^maintenance/transportation/category/(\d+)/task/(\d+)$" "/maintenance/transportation/category/task/index.php?categoryId=$1&taskId=$2" [QSA,L]
                RewriteRule "^maintenance/transportation/category/(\d+)/task/(\d+)/issue$" "/maintenance/transportation/category/task/issue/index.php?categoryId=$1&taskId=$2" [QSA,L]
                RewriteRule "^maintenance/transportation/category/(\d+)/task/(\d+)/issue/(\d+)$" "/maintenance/transportation/category/task/issue/index.php?categoryId=$1&taskId=$2&issueId=$3" [QSA,L]
                RewriteRule "^maintenance/transportation/task/(\d+)$" "/maintenance/transportation/task/index.php?taskId=$1" [QSA,L]
                RewriteRule "^maintenance/engineering/task/(\d+)$" "/maintenance/engineering/task/index.php?taskId=$1" [QSA,L]

                RewriteRule "^maintenance/engineering/issue/(\d+)$" "/maintenance/engineering/issue/index.php?issueId=$1" [QSA,L]
                RewriteRule "^maintenance/transportation/issue/(\d+)$" "/maintenance/transportation/issue/index.php?issueId=$1" [QSA,L]

                RewriteRule "^maintenance/engineering/category/(\d+)$" "/maintenance/engineering/category/index.php?categoryId=$1" [QSA,L]
                RewriteRule "^maintenance/engineering/category/(\d+)/task$" "/maintenance/engineering/category/task/index.php?categoryId=$1" [QSA,L]
                RewriteRule "^maintenance/engineering/category/(\d+)/task/(\d+)$" "/maintenance/engineering/category/task/index.php?categoryId=$1&taskId=$2" [QSA,L]
                RewriteRule "^maintenance/engineering/category/(\d+)/task/(\d+)/issue$" "/maintenance/engineering/category/task/issue/index.php?categoryId=$1&taskId=$2" [QSA,L]
                RewriteRule "^maintenance/engineering/category/(\d+)/task/(\d+)/issue/(\d+)$" "/maintenance/engineering/category/task/issue/index.php?categoryId=$1&taskId=$2&issueId=$3" [QSA,L]
